# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#	This file is part of the KDE libraries
#    Copyright (C) 1997 Stephan Kulow (coolo@kde.org)

#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.

#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this library; see the file COPYING.  If not, write to
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#    Boston, MA 02111-1307, USA.

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = @datadir@
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

INCLUDES = -I$(srcdir)/../libltdl/ -I$(top_srcdir) -I$(top_srcdir)/kdefx \
    -I$(top_builddir)/kio/kio -I$(top_srcdir)/kio/bookmarks $(all_includes)


noinst_LTLIBRARIES = libkfile.la

#>- METASOURCES = AUTO


#SUBDIRS = . acl_prop_page
include_HEADERS = kfiledialog.h \
	kdiroperator.h kfileview.h kfilefiltercombo.h \
	kfiledetailview.h kcombiview.h kdiskfreesp.h \
	kfileiconview.h krecentdocument.h kfileview.h \
	kfiledialog.h kurlrequester.h kfilepreview.h kfile.h \
	kurlcombobox.h kurlrequesterdlg.h kopenwith.h kpropsdlg.h \
	kicondialog.h kdirsize.h kpreviewwidgetbase.h kimagefilepreview.h kfilesharedlg.h \
	kfiletreeview.h kfiletreeviewitem.h kfiletreebranch.h \
	kdirselectdialog.h kurlbar.h kpropertiesdialog.h knotifydialog.h \
	kcustommenueditor.h knotifywidgetbase.h knotifydialog.h


noinst_HEADERS = config-kfile.h krecentdirs.h kmetaprops.h \
	kfilebookmarkhandler.h kfilemetainfowidget.h kopenwith_p.h \
	kfilespeedbar.h


libkfile_la_SOURCES = \
	kfilefiltercombo.cpp \
	kfileview.cpp kfileiconview.cpp  \
	krecentdocument.cpp kfiledialog.cpp kdiroperator.cpp \
	kfiledetailview.cpp kcombiview.cpp kurlrequester.cpp \
	kfilepreview.cpp kurlcombobox.cpp kurlrequesterdlg.cpp \
	kopenwith.cpp kpropertiesdialog.cpp kicondialog.cpp kdirsize.cpp \
	krecentdirs.cpp kdiskfreesp.cpp kimagefilepreview.cpp kfilesharedlg.cpp \
	kurlbar.cpp kmetaprops.cpp\
	kfiletreeview.cpp kfiletreeviewitem.cpp kfiletreebranch.cpp \
	kdirselectdialog.cpp kfilebookmarkhandler.cpp \
	kfilemetainfowidget.cpp kcustommenueditor.cpp knotifywidgetbase.cpp \
	knotifydialog.cpp kfilespeedbar.cpp


EXTRA_DIST = NOTES


# convenience lib - no _LDFLAGS or _LIBADD !
servicetype_DATA = kpropsdlgplugin.desktop
servicetypedir = $(kde_servicetypesdir)
subdir = kio/kfile
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libkfile_la_LDFLAGS =
libkfile_la_LIBADD =
am_libkfile_la_OBJECTS = kfilefiltercombo.lo kfileview.lo \
	kfileiconview.lo krecentdocument.lo kfiledialog.lo \
	kdiroperator.lo kfiledetailview.lo kcombiview.lo \
	kurlrequester.lo kfilepreview.lo kurlcombobox.lo \
	kurlrequesterdlg.lo kopenwith.lo kpropertiesdialog.lo \
	kicondialog.lo kdirsize.lo krecentdirs.lo kdiskfreesp.lo \
	kimagefilepreview.lo kfilesharedlg.lo kurlbar.lo kmetaprops.lo \
	kfiletreeview.lo kfiletreeviewitem.lo kfiletreebranch.lo \
	kdirselectdialog.lo kfilebookmarkhandler.lo \
	kfilemetainfowidget.lo kcustommenueditor.lo \
	knotifywidgetbase.lo knotifydialog.lo kfilespeedbar.lo
#>- libkfile_la_OBJECTS = $(am_libkfile_la_OBJECTS)
#>+ 14
libkfile_la_final_OBJECTS = libkfile_la.all_cpp.lo 
libkfile_la_nofinal_OBJECTS = kfilefiltercombo.lo kfileview.lo \
	kfileiconview.lo krecentdocument.lo kfiledialog.lo \
	kdiroperator.lo kfiledetailview.lo kcombiview.lo \
	kurlrequester.lo kfilepreview.lo kurlcombobox.lo \
	kurlrequesterdlg.lo kopenwith.lo kpropertiesdialog.lo \
	kicondialog.lo kdirsize.lo krecentdirs.lo kdiskfreesp.lo \
	kimagefilepreview.lo kfilesharedlg.lo kurlbar.lo kmetaprops.lo \
	kfiletreeview.lo kfiletreeviewitem.lo kfiletreebranch.lo \
	kdirselectdialog.lo kfilebookmarkhandler.lo \
	kfilemetainfowidget.lo kcustommenueditor.lo \
	knotifywidgetbase.lo knotifydialog.lo kfilespeedbar.lo
@KDE_USE_FINAL_FALSE@libkfile_la_OBJECTS = $(libkfile_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkfile_la_OBJECTS = $(libkfile_la_final_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/kcombiview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcustommenueditor.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdiroperator.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdirselectdialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdirsize.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdiskfreesp.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilebookmarkhandler.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfiledetailview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfiledialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilefiltercombo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfileiconview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilemetainfowidget.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilepreview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilesharedlg.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilespeedbar.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfiletreebranch.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfiletreeview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfiletreeviewitem.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfileview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kicondialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kimagefilepreview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmetaprops.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/knotifydialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/knotifywidgetbase.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kopenwith.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpropertiesdialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/krecentdirs.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/krecentdocument.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurlbar.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurlcombobox.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurlrequester.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurlrequesterdlg.Plo
#>+ 65
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =   $(DEPDIR)/libkfile_la.all_cpp.P  ./$(DEPDIR)/kcombiview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcustommenueditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdiroperator.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirselectdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirsize.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdiskfreesp.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilebookmarkhandler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiledetailview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiledialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilefiltercombo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileiconview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilemetainfowidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilepreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilesharedlg.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilespeedbar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiletreebranch.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiletreeview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiletreeviewitem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kicondialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kimagefilepreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmetaprops.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/knotifydialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/knotifywidgetbase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kopenwith.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpropertiesdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/krecentdirs.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/krecentdocument.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlbar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlcombobox.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlrequester.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlrequesterdlg.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =   ./$(DEPDIR)/kcombiview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kcustommenueditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdiroperator.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirselectdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirsize.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdiskfreesp.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilebookmarkhandler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiledetailview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiledialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilefiltercombo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileiconview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilemetainfowidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilepreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilesharedlg.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilespeedbar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiletreebranch.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiletreeview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfiletreeviewitem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kicondialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kimagefilepreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmetaprops.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/knotifydialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/knotifywidgetbase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kopenwith.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpropertiesdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/krecentdirs.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/krecentdocument.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlbar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlcombobox.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlrequester.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlrequesterdlg.Plo

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libkfile_la_SOURCES)
DATA = $(servicetype_DATA)

HEADERS = $(include_HEADERS) $(noinst_HEADERS)

DIST_COMMON = $(include_HEADERS) $(noinst_HEADERS) ChangeLog \
	Makefile.am Makefile.in TODO
SOURCES = $(libkfile_la_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kio/kfile/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kio/kfile/Makefile
	cd $(top_srcdir) && perl admin/am_edit kio/kfile/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libkfile.la: $(libkfile_la_OBJECTS) $(libkfile_la_DEPENDENCIES) 
	$(CXXLINK)  $(libkfile_la_LDFLAGS) $(libkfile_la_OBJECTS) $(libkfile_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcombiview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcustommenueditor.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdiroperator.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdirselectdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdirsize.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdiskfreesp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilebookmarkhandler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfiledetailview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfiledialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilefiltercombo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfileiconview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilemetainfowidget.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilepreview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilesharedlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilespeedbar.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfiletreebranch.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfiletreeview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfiletreeviewitem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfileview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kicondialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kimagefilepreview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmetaprops.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/knotifydialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/knotifywidgetbase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kopenwith.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpropertiesdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/krecentdirs.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/krecentdocument.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurlbar.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurlcombobox.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurlrequester.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurlrequesterdlg.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
servicetypeDATA_INSTALL = $(INSTALL_DATA)
install-servicetypeDATA: $(servicetype_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(servicetypedir)
	@list='$(servicetype_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(servicetypeDATA_INSTALL) $$d$$p $(DESTDIR)$(servicetypedir)/$$f"; \
	  $(servicetypeDATA_INSTALL) $$d$$p $(DESTDIR)$(servicetypedir)/$$f; \
	done

uninstall-servicetypeDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(servicetype_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(servicetypedir)/$$f"; \
	  rm -f $(DESTDIR)$(servicetypedir)/$$f; \
	done
includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f"; \
	  $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(includedir)/$$f"; \
	  rm -f $(DESTDIR)$(includedir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=kpropsdlgplugin.desktop knotifywidgetbase.ui 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(servicetypedir) $(DESTDIR)$(includedir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-final  clean-generic clean-libtool clean-noinstLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-includeHEADERS install-servicetypeDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-includeHEADERS uninstall-info-am \
	uninstall-servicetypeDATA

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-includeHEADERS \
	install-info install-info-am install-man \
	install-servicetypeDATA install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-includeHEADERS \
	uninstall-info-am uninstall-servicetypeDATA


#Can't be a module, we need to link to it for readConfig
#kde_module_LTLIBRARIES = libkfileshare.la
#libkfileshare_la_SOURCES = kfileshare.cpp
#libkfileshare_la_LIBADD = libkfile.la
#libkfileshare_la_LDFLAGS = -module $(KDE_PLUGIN)
#kde_services_DATA = kfilesharepropsplugin.desktop

#>- kpropertiesdialog.lo: ../kio/kdirnotify_stub.h
#>+ 1
kpropertiesdialog.lo: kpropertiesdialog.moc  ../kio/kdirnotify_stub.h
#>- kfiletreeview.lo: ../kio/kdirnotify_stub.h
#>+ 1
kfiletreeview.lo: kfiletreeview.moc  ../kio/kdirnotify_stub.h
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
kfilebookmarkhandler.moc: $(srcdir)/kfilebookmarkhandler.h
	$(MOC) $(srcdir)/kfilebookmarkhandler.h -o kfilebookmarkhandler.moc

#>+ 1
mocs: kfilebookmarkhandler.moc
#>+ 3
knotifydialog.moc: $(srcdir)/knotifydialog.h
	$(MOC) $(srcdir)/knotifydialog.h -o knotifydialog.moc

#>+ 1
mocs: knotifydialog.moc
#>+ 3
kurlbar.moc: $(srcdir)/kurlbar.h
	$(MOC) $(srcdir)/kurlbar.h -o kurlbar.moc

#>+ 1
mocs: kurlbar.moc
#>+ 3
kfilemetainfowidget.moc: $(srcdir)/kfilemetainfowidget.h
	$(MOC) $(srcdir)/kfilemetainfowidget.h -o kfilemetainfowidget.moc

#>+ 1
mocs: kfilemetainfowidget.moc
#>+ 3
kimagefilepreview.moc: $(srcdir)/kimagefilepreview.h
	$(MOC) $(srcdir)/kimagefilepreview.h -o kimagefilepreview.moc

#>+ 1
mocs: kimagefilepreview.moc
#>+ 3
kdirsize.moc: $(srcdir)/kdirsize.h
	$(MOC) $(srcdir)/kdirsize.h -o kdirsize.moc

#>+ 1
mocs: kdirsize.moc
#>+ 3
kcustommenueditor.moc: $(srcdir)/kcustommenueditor.h
	$(MOC) $(srcdir)/kcustommenueditor.h -o kcustommenueditor.moc

#>+ 1
mocs: kcustommenueditor.moc
#>+ 3
kfiletreeview.moc: $(srcdir)/kfiletreeview.h
	$(MOC) $(srcdir)/kfiletreeview.h -o kfiletreeview.moc

#>+ 1
mocs: kfiletreeview.moc
#>+ 3
kurlrequester.moc: $(srcdir)/kurlrequester.h
	$(MOC) $(srcdir)/kurlrequester.h -o kurlrequester.moc

#>+ 1
mocs: kurlrequester.moc
#>+ 3
kfilepreview.moc: $(srcdir)/kfilepreview.h
	$(MOC) $(srcdir)/kfilepreview.h -o kfilepreview.moc

#>+ 1
mocs: kfilepreview.moc
#>+ 3
kmetaprops.moc: $(srcdir)/kmetaprops.h
	$(MOC) $(srcdir)/kmetaprops.h -o kmetaprops.moc

#>+ 1
mocs: kmetaprops.moc
#>+ 3
kicondialog.moc: $(srcdir)/kicondialog.h
	$(MOC) $(srcdir)/kicondialog.h -o kicondialog.moc

#>+ 1
mocs: kicondialog.moc
#>+ 3
kurlrequesterdlg.moc: $(srcdir)/kurlrequesterdlg.h
	$(MOC) $(srcdir)/kurlrequesterdlg.h -o kurlrequesterdlg.moc

#>+ 1
mocs: kurlrequesterdlg.moc
#>+ 3
kfiletreebranch.moc: $(srcdir)/kfiletreebranch.h
	$(MOC) $(srcdir)/kfiletreebranch.h -o kfiletreebranch.moc

#>+ 1
mocs: kfiletreebranch.moc
#>+ 3
kdiroperator.moc: $(srcdir)/kdiroperator.h
	$(MOC) $(srcdir)/kdiroperator.h -o kdiroperator.moc

#>+ 1
mocs: kdiroperator.moc
#>+ 3
kfilesharedlg.moc: $(srcdir)/kfilesharedlg.h
	$(MOC) $(srcdir)/kfilesharedlg.h -o kfilesharedlg.moc

#>+ 1
mocs: kfilesharedlg.moc
#>+ 3
kdiskfreesp.moc: $(srcdir)/kdiskfreesp.h
	$(MOC) $(srcdir)/kdiskfreesp.h -o kdiskfreesp.moc

#>+ 1
mocs: kdiskfreesp.moc
#>+ 3
kfileview.moc: $(srcdir)/kfileview.h
	$(MOC) $(srcdir)/kfileview.h -o kfileview.moc

#>+ 1
mocs: kfileview.moc
#>+ 3
kfileiconview.moc: $(srcdir)/kfileiconview.h
	$(MOC) $(srcdir)/kfileiconview.h -o kfileiconview.moc

#>+ 1
mocs: kfileiconview.moc
#>+ 3
kopenwith.moc: $(srcdir)/kopenwith.h
	$(MOC) $(srcdir)/kopenwith.h -o kopenwith.moc

#>+ 1
mocs: kopenwith.moc
#>+ 3
kfilespeedbar.moc: $(srcdir)/kfilespeedbar.h
	$(MOC) $(srcdir)/kfilespeedbar.h -o kfilespeedbar.moc

#>+ 1
mocs: kfilespeedbar.moc
#>+ 3
kfilefiltercombo.moc: $(srcdir)/kfilefiltercombo.h
	$(MOC) $(srcdir)/kfilefiltercombo.h -o kfilefiltercombo.moc

#>+ 1
mocs: kfilefiltercombo.moc
#>+ 3
kopenwith_p.moc: $(srcdir)/kopenwith_p.h
	$(MOC) $(srcdir)/kopenwith_p.h -o kopenwith_p.moc

#>+ 1
mocs: kopenwith_p.moc
#>+ 3
kpropertiesdialog.moc: $(srcdir)/kpropertiesdialog.h
	$(MOC) $(srcdir)/kpropertiesdialog.h -o kpropertiesdialog.moc

#>+ 1
mocs: kpropertiesdialog.moc
#>+ 3
kurlcombobox.moc: $(srcdir)/kurlcombobox.h
	$(MOC) $(srcdir)/kurlcombobox.h -o kurlcombobox.moc

#>+ 1
mocs: kurlcombobox.moc
#>+ 3
knotifywidgetbase.moc: $(srcdir)/knotifywidgetbase.h
	$(MOC) $(srcdir)/knotifywidgetbase.h -o knotifywidgetbase.moc

#>+ 1
mocs: knotifywidgetbase.moc
#>+ 3
kdirselectdialog.moc: $(srcdir)/kdirselectdialog.h
	$(MOC) $(srcdir)/kdirselectdialog.h -o kdirselectdialog.moc

#>+ 1
mocs: kdirselectdialog.moc
#>+ 3
kfiledialog.moc: $(srcdir)/kfiledialog.h
	$(MOC) $(srcdir)/kfiledialog.h -o kfiledialog.moc

#>+ 1
mocs: kfiledialog.moc
#>+ 3
kcombiview.moc: $(srcdir)/kcombiview.h
	$(MOC) $(srcdir)/kcombiview.h -o kcombiview.moc

#>+ 1
mocs: kcombiview.moc
#>+ 3
kfiledetailview.moc: $(srcdir)/kfiledetailview.h
	$(MOC) $(srcdir)/kfiledetailview.h -o kfiledetailview.moc

#>+ 1
mocs: kfiledetailview.moc
#>+ 3
kpreviewwidgetbase.moc: $(srcdir)/kpreviewwidgetbase.h
	$(MOC) $(srcdir)/kpreviewwidgetbase.h -o kpreviewwidgetbase.moc

#>+ 1
mocs: kpreviewwidgetbase.moc
#>+ 3
clean-metasources:
	-rm -f  kfilebookmarkhandler.moc knotifydialog.moc kurlbar.moc kfilemetainfowidget.moc kimagefilepreview.moc kdirsize.moc kcustommenueditor.moc kfiletreeview.moc kurlrequester.moc kfilepreview.moc kmetaprops.moc kicondialog.moc kurlrequesterdlg.moc kfiletreebranch.moc kdiroperator.moc kfilesharedlg.moc kdiskfreesp.moc kfileview.moc kfileiconview.moc kopenwith.moc kfilespeedbar.moc kfilefiltercombo.moc kopenwith_p.moc kpropertiesdialog.moc kurlcombobox.moc knotifywidgetbase.moc kdirselectdialog.moc kfiledialog.moc kcombiview.moc kfiledetailview.moc kpreviewwidgetbase.moc

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kio/kfile/Makefile
	cd $(top_srcdir) && perl admin/am_edit kio/kfile/Makefile.in


#>+ 11
libkfile_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kfilefiltercombo.cpp $(srcdir)/kfileview.cpp $(srcdir)/kfileiconview.cpp $(srcdir)/krecentdocument.cpp $(srcdir)/kfiledialog.cpp $(srcdir)/kdiroperator.cpp $(srcdir)/kfiledetailview.cpp $(srcdir)/kcombiview.cpp $(srcdir)/kurlrequester.cpp $(srcdir)/kfilepreview.cpp $(srcdir)/kurlcombobox.cpp $(srcdir)/kurlrequesterdlg.cpp $(srcdir)/kopenwith.cpp $(srcdir)/kpropertiesdialog.cpp $(srcdir)/kicondialog.cpp $(srcdir)/kdirsize.cpp $(srcdir)/krecentdirs.cpp $(srcdir)/kdiskfreesp.cpp $(srcdir)/kimagefilepreview.cpp $(srcdir)/kfilesharedlg.cpp $(srcdir)/kurlbar.cpp $(srcdir)/kmetaprops.cpp $(srcdir)/kfiletreeview.cpp $(srcdir)/kfiletreeviewitem.cpp $(srcdir)/kfiletreebranch.cpp $(srcdir)/kdirselectdialog.cpp $(srcdir)/kfilebookmarkhandler.cpp $(srcdir)/kfilemetainfowidget.cpp $(srcdir)/kcustommenueditor.cpp $(srcdir)/knotifywidgetbase.cpp $(srcdir)/knotifydialog.cpp $(srcdir)/kfilespeedbar.cpp  kfilebookmarkhandler.moc kfilemetainfowidget.moc kurlbar.moc knotifydialog.moc kdirsize.moc kimagefilepreview.moc kurlrequester.moc kfiletreeview.moc kcustommenueditor.moc kmetaprops.moc kfilepreview.moc kicondialog.moc kurlrequesterdlg.moc kfiletreebranch.moc kdiroperator.moc kfilesharedlg.moc kdiskfreesp.moc kfileiconview.moc kfileview.moc kopenwith.moc kfilespeedbar.moc kfilefiltercombo.moc kopenwith_p.moc kurlcombobox.moc kpropertiesdialog.moc kfiledialog.moc kdirselectdialog.moc knotifywidgetbase.moc kcombiview.moc kfiledetailview.moc kpreviewwidgetbase.moc
	@echo 'creating libkfile_la.all_cpp.cpp ...'; \
	rm -f libkfile_la.all_cpp.files libkfile_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkfile_la.all_cpp.final; \
	for file in kfilefiltercombo.cpp kfileview.cpp kfileiconview.cpp krecentdocument.cpp kfiledialog.cpp kdiroperator.cpp kfiledetailview.cpp kcombiview.cpp kurlrequester.cpp kfilepreview.cpp kurlcombobox.cpp kurlrequesterdlg.cpp kopenwith.cpp kpropertiesdialog.cpp kicondialog.cpp kdirsize.cpp krecentdirs.cpp kdiskfreesp.cpp kimagefilepreview.cpp kfilesharedlg.cpp kurlbar.cpp kmetaprops.cpp kfiletreeview.cpp kfiletreeviewitem.cpp kfiletreebranch.cpp kdirselectdialog.cpp kfilebookmarkhandler.cpp kfilemetainfowidget.cpp kcustommenueditor.cpp knotifywidgetbase.cpp knotifydialog.cpp kfilespeedbar.cpp ; do \
	  echo "#include \"$$file\"" >> libkfile_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkfile_la.all_cpp.final; \
	done; \
	cat libkfile_la.all_cpp.final libkfile_la.all_cpp.files > libkfile_la.all_cpp.cpp; \
	rm -f libkfile_la.all_cpp.final libkfile_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkfile_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libkfile_la_OBJECTS="$(libkfile_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libkfile_la_OBJECTS="$(libkfile_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libkfile_la_OBJECTS="$(libkfile_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libkfile_la_OBJECTS="$(libkfile_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 57
kfiledialog.o: kfiledialog.moc kpreviewwidgetbase.moc 
kfileview.lo: kfileview.moc 
kopenwith.o: kopenwith.moc kopenwith_p.moc 
kfileview.o: kfileview.moc 
kfilepreview.o: kfilepreview.moc 
kfilepreview.lo: kfilepreview.moc 
knotifywidgetbase.o: knotifywidgetbase.moc 
kfileiconview.lo: kfileiconview.moc 
kicondialog.lo: kicondialog.moc 
kdiskfreesp.o: kdiskfreesp.moc 
kicondialog.o: kicondialog.moc 
kmetaprops.lo: kmetaprops.moc 
kcustommenueditor.lo: kcustommenueditor.moc 
kfiletreeview.o: kfiletreeview.moc 
kurlbar.o: kurlbar.moc 
kfiletreebranch.lo: kfiletreebranch.moc 
kdirselectdialog.o: kdirselectdialog.moc 
kfilefiltercombo.lo: kfilefiltercombo.moc 
kfileiconview.o: kfileiconview.moc 
kdiskfreesp.lo: kdiskfreesp.moc 
knotifydialog.lo: knotifydialog.moc 
kdirselectdialog.lo: kdirselectdialog.moc 
kurlcombobox.lo: kurlcombobox.moc 
kurlrequesterdlg.o: kurlrequesterdlg.moc 
kfilemetainfowidget.o: kfilemetainfowidget.moc 
kfiledialog.lo: kfiledialog.moc kpreviewwidgetbase.moc 
kfilebookmarkhandler.lo: kfilebookmarkhandler.moc 
kurlrequester.o: kurlrequester.moc 
kfilemetainfowidget.lo: kfilemetainfowidget.moc 
kimagefilepreview.lo: kimagefilepreview.moc 
kimagefilepreview.o: kimagefilepreview.moc 
kurlrequester.lo: kurlrequester.moc 
kcombiview.lo: kcombiview.moc 
kurlrequesterdlg.lo: kurlrequesterdlg.moc 
kfilefiltercombo.o: kfilefiltercombo.moc 
kfiletreebranch.o: kfiletreebranch.moc 
kpropertiesdialog.o: kpropertiesdialog.moc 
kcombiview.o: kcombiview.moc 
kdiroperator.lo: kdiroperator.moc 
kfiledetailview.o: kfiledetailview.moc 
knotifywidgetbase.lo: knotifywidgetbase.moc 
kdirsize.lo: kdirsize.moc 
knotifydialog.o: knotifydialog.moc 
kfilesharedlg.lo: kfilesharedlg.moc 
kurlbar.lo: kurlbar.moc 
kcustommenueditor.o: kcustommenueditor.moc 
kfilespeedbar.o: kfilespeedbar.moc 
kopenwith.lo: kopenwith.moc kopenwith_p.moc 
kmetaprops.o: kmetaprops.moc 
kurlcombobox.o: kurlcombobox.moc 
kfilespeedbar.lo: kfilespeedbar.moc 
kdiroperator.o: kdiroperator.moc 
kfiledetailview.lo: kfiledetailview.moc 
kdirsize.o: kdirsize.moc 
kfilesharedlg.o: kfilesharedlg.moc 
kfilebookmarkhandler.o: kfilebookmarkhandler.moc 
